package com.tuoheng.admin.enums.code.channel;

/**
 *  根据部门id获取该部门下航道列表返回码
 *      模块代码：21（航道管理）
 *      接口代码：03 （根据部门id获取该部门下航道列表）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-20
 */
public enum QueryChannelListByDeptIdCodeEnum {

    QUERY_IS_FAILED(1210300, "获取数据失败"),
    DEPT_ID_IS_NULL(1210301, "部门id为空"),
    DEPT_IS_NOT_EXIST(1210302, "部门不存在"),
    ROAD_LIST_IS_NULL(1210303, "航道列表为空");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    QueryChannelListByDeptIdCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
